%define pkg_name gnuplot
Version: 0.6.0
Release: alt1
Name: emacs-%pkg_name
Copyright: GPL
Group: Editors
Url: http://feff.phys.washington.edu/~ravel/%pkg_name
Summary: Gnuplot mode for Emacs
Summary(ru_RU.CP1251):  Gnuplot  Emacs
Packager: Emacs Maintainers Team <emacs@packages.altlinux.org>

Source: gnuplot-mode.%version.tar.gz
Source1: gnuplot-emacs.el
Patch: gnuplot-info.diff

BuildArch: noarch
BuildPreReq: emacs-devel >= 0.0.1-alt2

# Automatically added by buildreq on Thu Jul 26 2002
BuildRequires: emacs-common texinfo
Requires: emacs-common gnuplot >= 3.7

%description
Mode to work with Gnuplot from Emacs

%description -l ru_RU.CP1251
    Gnuplot  Emacs


%package -n emacs-%pkg_name-el
Summary:  The Emacs Lisp sources for bytecode included in emacs-%pkg_name
Summary(ru_RU.CP1251):  Gnuplot  Emacs -    Lisp
Group: Editors
Requires: emacs-%pkg_name = %version-%release

%description -n emacs-%pkg_name-el
The Emacs Lisp sources for bytecode included in emacs-%pkg_name ---
mode to work with Gnuplot from Emacs

%description -n emacs-%pkg_name-el -l ru_RU.CP1251
   Lisp   emacs-%pkg_name ---
    Gnuplot  Emacs

%prep
%setup -n gnuplot-mode.%version
%patch -p1

%build
./configure --prefix=%{_prefix} --datadir=%{_datadir} --with-emacs=emacs --infodir=%{_infodir}
make

%install
mkdir -p $RPM_BUILD_ROOT%{_emacslispdir}/%pkg_name
install -m 644 *.el* $RPM_BUILD_ROOT%{_emacslispdir}/%pkg_name

mkdir -p $RPM_BUILD_ROOT/etc/emacs/site-start.d
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/etc/emacs/site-start.d/gnuplot.el

%add_lisp_loadpath %buildroot%_emacslispdir/%pkg_name
%byte_recompile_lispdir

#mkdir -p $RPM_BUILD_ROOT%{_infodir}
#install -m 644 *.info* $RPM_BUILD_ROOT%{_infodir}/

#%clean
#%post
#%install_info %pkg_name.info
#%preun
#%uninstall_info %pkg_name.info

%files
%doc ChangeLog README INSTALL gpelcard.ps gpelcard.pdf
#%{_infodir}/*
%dir %{_emacslispdir}/%pkg_name/
%{_emacslispdir}/%pkg_name/*.elc
%config(noreplace) /etc/emacs/site-start.d/gnuplot.el

%files -n emacs-%pkg_name-el
%_emacslispdir/%pkg_name/*.el


%changelog
* Fri Jan 13 2006 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1
- updated url; now maintained by Emacs Maintainers Team
- spec cleanup; added elc compilation
- removed gnuplot info (conflict with gnuplot)
- new version
- split into el and elc packages

* Thu Mar 13 2003 Ott Alex <ott@altlinux.ru> 0.5s-alt4
- Fixing startup file

* Sat Feb 08 2003 Ott Alex <ott@altlinux.ru> 0.5s-alt3
- fixing spec

* Tue Oct 08 2002 Ott Alex <ott@altlinux.ru> 0.5s-alt1
- Initial build

